import { Method } from 'pretur.fetch';
export interface FetchOptions {
    url: string;
    method?: Method;
    body?: any;
    json?: boolean;
}
export interface FetchResponse<TBody> {
    body: TBody;
    ok: boolean;
    status: number;
    statusText: string;
}
export declare function fetch<TBody>(options: FetchOptions): Promise<FetchResponse<TBody>>;
